myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mike Kienenberger <mkien...@gmail.com>
Subject Re: Fw:a question for facelets validate
Date Thu, 02 Sep 2010 16:18:56 GMT
You need MyFaces Tomahawk 1.1.9 for JSF 1.2, not simply 1.1.9.   Using
1.1.9 for JSF 1.1 with 1.2.7 will cause this error.

tomahawk12-1.1.9-bin.tar.gz
http://myfaces.apache.org/tomahawk/download.html

2010/9/1 loshamo <loshamo@163.com>:
>
>
> <?xml version="1.0" encoding="UTF-8"?>
> <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
> <html xmlns="http://www.w3.org/1999/xhtml"
>  xmlns:ui="http://java.sun.com/jsf/facelets"
>  xmlns:h="http://java.sun.com/jsf/html"
>  xmlns:f="http://java.sun.com/jsf/core"
>  xmlns:t="http://myfaces.apache.org/tomahawk"
>  xmlns:v="http://shale.apache.org/validator"
>  xmlns:a4j="https://ajax4jsf.dev.java.net/ajax">
>    <body>
>        <f:view>
>        <h:form id="form1">
>   <t:outputLabel for="id" value="asdasd"></t:outputLabel>
>   <t:inputText id="id" required="true" ></t:inputText>
>   <t:message for="id"></t:message>
>   <t:commandButton value="submit"></t:commandButton>
>  </h:form>
>        </f:view>
>    </body>
> </html>
> when i do not set the value of 'asdasd' then validate message is "'form1:asdasd'  is
required  "
> why there has the message "form1:"  ?
> tomahawk  version is 1.1.9 and myface version is 1.2.7
> thanks for your answer !
>
>
>
> 您想拥有和网易免费邮箱一样强大的软件吗?

Mime
View raw message